curl --request POST \
--url https://external.pleo.io/v0/tax-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
'import requests
url = "https://external.pleo.io/v0/tax-codes"
payload = {
"archived": True,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: true,
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: 'Standardmoms (25 %)',
rate: 123,
code: '01',
ingoingTaxAccount: '<string>',
outgoingTaxAccount: '<string>'
})
};
fetch('https://external.pleo.io/v0/tax-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": true,
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Standardmoms (25 %)",
"rate": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"accountingIntegrationSystem": "<string>",
"code": "01",
"ingoingTaxAccount": "<string>",
"outgoingTaxAccount": "<string>"
}
}Create a new tax code
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Body
Boolean flag used to archive or unarchive a category (when set to true, account is not visible or usable on the platform)
Company ID the tax code is being created/updated for
Name of the tax code
"Standardmoms (25 %)"
Percentage rate applied for this tax code (This is represented in decimals and not the percentage. e.g. 20% tax rate would be 0.20)
Classification of this tax code. Exclusive tax codes are not currently supported.
inclusive, exclusive, reverse The accounting system's internal identifier of the tax code
"01"
Ingoing tax account usually used to account for reverse VAT
Outgoing tax account usually used to account for reverse VAT
Response
default response
Show child attributes
Show child attributes
Was this page helpful?